%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define rver   2.10.0
Name:          rpy
Summary:       Python interface to the R language
Version:       2.0.6
Release:       7%{?dist}
Url:           http://rpy.sourceforge.net
Source:        http://downloads.sf.net/%{name}/%{name}2-%{version}.tar.gz
License:       MPLv1.1 or GPLv2+ or LGPLv2+
Group:         Development/Libraries
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: R-devel = %{rver}, numpy, python-devel

Requires:      numpy
Requires:      R-core = %{rver}

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
RPy provides a robust Python interface to the R
programming language.  It can manage all kinds of R objects and can
execute arbitrary R functions. All the errors from the R language are
converted to Python exceptions.

%prep
%setup -q -n %{name}2-%{version}
chmod -x rpy/rinterface/rinterface.c

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT
%if 0%{?__isa_bits} == 64
%ifnarch ia64
mv %{buildroot}/usr/lib/python2.6/site-packages/rpy2/images %{buildroot}%{python_sitearch}/rpy2/
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README GPL_LICENSE LGPL_LICENSE MPL_LICENSE PKG-INFO
%{python_sitearch}/rpy2/
%{python_sitearch}/rpy2-%{version}*.egg-info

%changelog
* Thu Nov  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.6-7
- rebuild for R 2.10.0

* Mon Sep 21 2009 José Matos <jamatos@fc.up.pt> - 2.0.6-6
- require at runtime just R-core

* Mon Aug 24 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.6-5
- rebuild for R 2.9.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.6-3
- images are only installed incorrectly on 64bit platforms that aren't ia64

* Thu Jul  9 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.6-1
- rebuild for R 2.9.1
- update to rpy2 2.0.6

* Fri Apr 17 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3-2
- rebuild for R 2.9.0

* Fri Mar 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3-1
- update to rpy2 2.0.3

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.3-6
- rebuild for R 2.8.1

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.3-5
- Rebuild for Python 2.6

* Sun Oct 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.3-4
- rebuild against R-2.8.0

* Fri Aug 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.3-3
- rebuild against R-2.7.2

* Tue Jul  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.3-2
- rebuild against R 2.7.1

* Wed May 21 2008 José Matos <jamatos[AT]fc.up.pt> - 1.0.3-1
- Update to 1.0.3
- Backport two patches from upstream (turn off debug and use the lapack version that R was compiled with)

* Tue Apr 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.2-1
- update to 1.0.2
- R 2.7.0

* Wed Feb 13 2008 José Matos <jamatos[AT]fc.up.pt> - 1.0.1-5
- BR texinfo -> texinfo-tex

* Wed Feb 13 2008 José Matos <jamatos[AT]fc.up.pt> - 1.0.1-4
- Rebuild for gcc 4.3

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.1-3
- rebuild for R 2.6.2

* Mon Feb  4 2008 José Matos <jamatos[AT]fc.up.pt> - 1.0.1-2
- Sometimes _patch_'s guesses are not good enough. Redo patch to setup.py.

* Sun Feb  3 2008 José Matos <jamatos[AT]fc.up.pt> - 1.0.1-1
- New upstream release.

* Mon Jan  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-0.7.RC3
- find the moved R headers in their new home (/usr/include/R)

* Mon Jan  7 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.0-0.6.RC3
- BuildRequires: R-devel rather than just R

* Mon Nov 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-0.5.RC3
- really rebuild against R 2.6.1
- versioned buildrequires for R

* Mon Nov 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-0.4.RC3
- rebuild against R 2.6.1

* Mon Oct  8 2007 José Matos <jamatos[AT]fc.up.pt> - 1.0-0.3.RC3
- Rebuild for R 2.6.0 (really).

* Fri Oct  5 2007 José Matos <jamatos[AT]fc.up.pt> - 1.0-0.2.RC3
- Rebuild for R version 2.6.

* Wed Aug 29 2007 José Matos <jamatos[AT]fc.up.pt> - 1.0-0.1.RC3
- New upstream version.
- Change from python-numeric to numpy package.

* Tue Aug 28 2007 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-18
- License fix, rebuild for devel (F8).

* Fri Jul  6 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.6-17
- Rebuild to link with R 2.5.1

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-16
- Rebuild to link with R 2.5.0

* Thu Dec 21 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.6-15
- Rebuild for new R-version.

* Tue Dec 12 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-14
- Rebuild for python 2.5.

* Tue Oct 17 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-13
- Rebuild for new R-version.

* Thu Sep 14 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-12
- Rebuild for FC6.

* Sun Jun  4 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-11
- Rebuild for R-2.3.1

* Wed Apr 26 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-10
- BuildRequires tetex for "make pdf" (pdftex).

* Wed Apr 26 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-9
- Fix detection of R version.

* Wed Apr 26 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-8
- Rebuild for R-2.3.0

* Fri Feb 17 2006 Alex Lancaster <alexl[AT]users.sourceforge.net> - 0.4.6-7
- Build info docs (bz#169002).
- Build pdf and html documentation, clean doc directory. (jamatos)

* Thu Feb 16 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-6
- Use a fixed value for R version.

* Thu Feb 16 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-5
- Set explicit dependency on exact version of R used to build the package. (bz#177078)

* Tue Jan  3 2006 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-4
- Update for R-2.2.1

* Tue Oct 11 2005 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-3
- Another try to deal with make tag.

* Mon Oct 10 2005 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-2
- Rebuild for R-2.2.0

* Thu Sep 15 2005 José Matos <jamatos[AT]fc.up.pt> - 0.4.6-1
- Initial package for Fedora Extras
